'use client';

import AuthPage from '@/components/AuthPage';
import { useRouter } from 'next/navigation';

export default function Signup() {
    const router = useRouter();

    return (
        <AuthPage
            onBack={() => router.push('/')}
            onSuccess={() => router.push('/dashboard')}
            initialMode="signup"
        />
    );
}
